package de.firstdata.ipg.api.client.exception;

/**
 * <code>ServerException</code> is the super class of all server exception
 * classes. An instance of this class is thrown whenever finding problems in
 * working with the result returned by the server.
 * 
 * @author Andreas Schmid
 * 
 */
public class ServerException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * creates an instance of this class taking an error description as argument
	 * 
	 * @param message
	 *            a string describing the error
	 */
	public ServerException(final String message) {
		super(message);
	}
	
	public ServerException(final String message, final Exception exception) {
		super(message, exception);
	}
}
