package de.firstdata.ipg.api.client.transaction.apm.sepapayout.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.apm.sepapayout.SepaCreditTransaction;
import de.firstdata.ipg.api.client.transaction.object.IPGApiTransactionObject;
import de.firstdata.ipg.api.schema.SepaTxType;

/**
 * @author f4ctwpi
 */
public class SepaCreditTransactionObject extends IPGApiTransactionObject implements SepaCreditTransaction {

	public static final String CREDIT = "credit";

	public SepaCreditTransactionObject(final Amount amount, final String orderId) {
		super(amount, null, null, orderId);
		getSepaTxType().setType(CREDIT);
		final SepaData sepaData = new SepaData();
		setSepaData(sepaData);
	}

	/**
	 * SepaPayout has only credit type.
	 *
	 * @return "credit" constant
	 */
	@Override
	public String getType() {
		return CREDIT;
	}

	@Override
	public void setIban(final String iban) {
		this.sepaData.setIBAN(iban);
	}

	@Override
	public SepaTxType getSepaTxType() {
		if (this.sepaTxType == null) {
			this.sepaTxType = new SepaTxType();
		}
		return this.sepaTxType;
	}

	@Override
	public void setStoreId(final String storeId) {
		getSepaTxType().setStoreId(storeId);
	}

}
