package de.firstdata.ipg.api.client.transaction.customercard.object;

import de.firstdata.ipg.api.client.IPGApiClient;
import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.customercard.CustomerCSaleTransaction;
import de.firstdata.ipg.api.client.transaction.customercard.CustomerCard;

/**
 * This class represents a <i>Sale</i> transaction and allows for setting its
 * optional attributes by calling the appropriate <code>setter</code> methods.
 * An instance of this class is created when calling
 * {@link IPGApiClient#createSaleTransaction(double, String, String, String)}.
 * 
 * @author Andreas Schmid
 */
public final class CustomerCSaleTransactionObject extends CustomerCTransactionObject implements CustomerCSaleTransaction {

	/**
	 * creates a <i>Sale</i> transaction with the minimum set of parameters -
	 * note that you can add optional fields by calling the appropriate
	 * <code>setter</code> methods on the returned
	 * {@link CustomerCSaleTransactionObject} instance
	 */
	public CustomerCSaleTransactionObject(final Amount amount, final CustomerCard customerCard) {
		super("sale", amount, customerCard, null);
	}
}
