package de.firstdata.ipg.api.client.transaction.dedirectdebit.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.dedirectdebit.DEDDSaleTransaction;
import de.firstdata.ipg.api.client.transaction.dedirectdebit.DEDirectDebit;
import de.firstdata.ipg.api.client.transaction.type.MandateType;
import de.firstdata.ipg.api.schema.DEDirectDebitData;

public final class DEDDSaleTransactionObject extends DEDDTransactionObject implements DEDDSaleTransaction {

	public DEDDSaleTransactionObject(final Amount amount, final DEDirectDebit account) {
		super("sale", amount, account, null, null, null);
	}

	public DEDDSaleTransactionObject(final Amount amount, final String hostedDataID, final String hostedDataStoreID) {
		super("sale", amount, null, hostedDataID, hostedDataStoreID, null);
	}

	@Override
	public void setMandateReference(final String value) {
		getDEDirectDebitData().setMandateReference(value);
	}

	@Override
	public void setMandateType(final MandateType value) {
		getDEDirectDebitData().setMandateType(value == null ? null : value.name());
	}

	@Override
	public void setDateOfMandate(final String value) {
		getDEDirectDebitData().setDateOfMandate(value);
	}

	@Override
	public DEDirectDebitData getDEDirectDebitData() {
		if (this.deDirectDebitData == null) {
			this.deDirectDebitData = new DEDirectDebitData();
		}
		return this.deDirectDebitData;
	}
}
